Getting the authorization code
To begin the authentication process, redirect the user to the authorize endpoint, passing the following parameters:
Sample Request
A parameter called redirect_uri that contains your resource’s identifier is used in Oauth 2.0 in order to allow Vantage to send the authorization code to your resource and then exchange that code for the access token, which is required for authentication in all subsequent API calls. Using this authentication method requires providing the value of the redirect_uri parameter to ABBYY technical support in order to have it whitelisted by the administrators.
Once access permissions requested using the scope parameter have been verified to be granted, the browser is redirected to a special web page set up by the Vantage server. This web page has a dialog window that is used to undergo authorization using your account. This page should be opened using a browser that has a visible address bar, which will let you verify the page URL and the state of the connection’s SSL certificate.
If your email address is connected to several accounts in different tenants, you will be asked to select a tenant and enter your password after you have specified your email address. You can also pass your tenant identifier (the tokenId parameter) directly using one of the following resources:
or
You will be required to enter the password for your tenant account. Once you have entered your credentials, authorization is completed server-side, the application is granted access to the Vantage API, and you receive the authorization code in the response to your request.
Please be aware that if a site or application uses this authentication type, Vantage users will provide access to the Vantage API on their behalf to the site or app that you are adding to the list of allowed redirect URL’s. To provide access to the site or app, users will be asked to authenticate in Vantage using their login and password. Once a user is authenticated, the site or app will be granted the following permissions:
- Managing data catalogs in the Vantage tenant on behalf of the user,
- Accessing skills in the Vantage tenant on behalf of the user,
- Creating and accessing Vantage transactions on behalf of the user.
Getting the authorization token
Once you have obtained the authorization code, you have one minute to exchange it for the access token. Use a POST request to the token endpoint withapplication/x-www-form-urlencoded data.
Request body parameters:
Sample request:
For Windows:
For Linux:
The server’s response to your request will contain the access token:
token with the value you received:
Getting the refresh token
If theAllow issuing refresh tokens to refresh access tokens option was enabled when configuring the Vantage API client and the request for getting the access token contained the scope=openid permissions global.wildcard offline_access parameter, you will also receive an additional refresh token in the response. Once you have a refresh token, you can refresh the access token using a POST request to the token endpoint with the following parameters:
Sample request:
For Windows:
For Linux:
Token lifetimes
Access and refresh tokens are configured to have the following lifetimes:- Access token lifetime: Defines the time period during which the issued access token allows user access to Vantage. The default lifetime of an access token is 24 hours.
- Refresh token lifetime: Defines the absolute time period starting from the issuance of the first access token during which the issued refresh token can be used to renew the access token. The default lifetime of an refresh token is 30 days.
